Summary: The graphical boot process for the Linux kernel
Name: ymh-bootsplash
Version: 3.0.7
Release: %{_hhl_build_id}.2
Group: System Environment/Base
License: GPL
Vendor: YAMAHA Corporation
Source: bootsplash-%{version}.tar.bz2
Patch: bootsplash-makefile.patch
Patch1: bootsplash-freetype.patch
Patch2: bootsplash-frameoption.patch
Patch3: bootsplash-noloopoption.patch
Prefix: %{_mvl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
AutoReqProv: no

%description
This package provides the user space stuff of the graphical boot
process for the Linux kernel.

%prep
%target_check
%setup -n bootsplash-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%target_setup
cd Utilities && make CC=%{_mvl_target_toolprefix}gcc STRIP=%{_mvl_target_toolprefix}strip PREFIX=%{_mvl_cross_target_dir}/usr

%install
%target_setup
rm -rf %{buildroot}
cd Utilities && make install DESTDIR=%{buildroot} PREFIX=%{_mvl_cross_target_dir}/usr

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mvl_cross_target_dir}/usr/bin

%changelog
* Fri Jun 15 2007 Keita Maehara <maehara@emi.yamaha.co.jp>
- Added noloop option, which must be used with frame option.
* Tue Jun 5 2007 Masao Ishibashi <ishiba@emi.yamaha.co.jp>
- Initial release for RTG-K2X.
* Fri Aug 25 2006 Keita Maehara <maehara@emi.yamaha.co.jp>
- Just bumped the revision up to replace the previous one.
* Wed Jul 5 2006 Keita Maehara <maehara@emi.yamaha.co.jp>
- Implemented fbmngplay -f <frame> option that freezes the animation
  at the specified <frame>.
* Tue May 16 2006 Keita Maehara <maehara@emi.yamaha.co.jp>
- Initial release for MontaVista Linux 4.0.1.
