# chkconfig: 2345 45 54
%define dname      mlan
%define script      %{dname}-drv
%define startscript  S45%script
%define killscript   K54%script
%define kversion  2.6.10_mvl401-rtg_k2x-mips2_fp_le
%define pname %{dname}_drv
Summary: %{dname} driver for NGS System
Name: ymh-%{pname}
Version: 0.1.10
Release: %{_hhl_build_id}.2
Group: System Environment/Kernel
License: GPL
Vendor: YAMAHA Corporation
Source: %{pname}-%{version}.tar.gz
Prefix: %{_hhl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root

%description
%{dname} driver for NGS System

Summary: mlan driver for NGS System
Group: System Environment/Kernel
AutoReqProv: no
%description -n %{name}
%{dname} driver for NGS System

%prep
%setup -n %{pname}-%{version}

%target_check

%build
%target_setup

%if "%{_hhl_target_arch}" == "mips2_fp_le"
cd src/%{dname}
%make V=1
cd ../..
%endif

%install
%target_setup
rm -rf %{buildroot}
cd src/%{dname}
make modules_install INSTALL_MOD_PATH=%{buildroot}%{_hhl_cross_target_dir}
cd ../..
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/%{pname}
install -m 755 include/drivers/%{dname}_if.h %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/%{pname}/%{dname}_if.h
install -d %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%kversion/yamaha/%{pname}
install -m 755 src/%{dname}/%{dname}-drv.ko %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%kversion/yamaha/%{pname}/%{dname}-drv.ko
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -m 755 %script %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc{0,1,2,3,4,5,6}.d
ln -s ../init.d/%script %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc2.d/%startscript
ln -s ../init.d/%script %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc3.d/%startscript
ln -s ../init.d/%script %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc4.d/%startscript
ln -s ../init.d/%script %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc5.d/%startscript
ln -s ../init.d/%script %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc0.d/%killscript
ln -s ../init.d/%script %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc1.d/%killscript
ln -s ../init.d/%script %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc6.d/%killscript

%clean
rm -rf %{buildroot}

%files -n %{name}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/%{pname}/%{dname}_if.h
%{_hhl_cross_target_dir}/lib/modules/%kversion/yamaha/%{pname}/%{dname}-drv.ko
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/%{dname}-drv
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc2.d/%{startscript}
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc3.d/%{startscript}
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc4.d/%{startscript}
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc5.d/%{startscript}
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc0.d/%killscript
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc1.d/%killscript
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc6.d/%killscript

%changelog
* Mon Mar 31 2008 Yamaha Corporation
- Initial release for MOTIF-RACK XS.
