Summary		: sysfs manipulation utilies. 
Name		: sysfsutils
Version		: 1.1.0 
Release		: 2.0.0.%{_hhl_build_id}
Source		: sysfsutils-1.1.0.tar.gz
License		: GPL
Group		: utils 
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description

Sysfs runtime applications for manipulating the sysfs filesystem.

%package libs%{_hhl_pkg_suffix}
Summary: Sysfs runtime libraries.
Group: libs

%description libs%{_hhl_pkg_suffix}

Sysfs runtime libaries for accessing and manipulating the sysfs fileystem.



%package dev%{_hhl_pkg_suffix}
Summary: Sysfs development libraries.
Group: devel

%description dev%{_hhl_pkg_suffix}
Sysfs runtime libaries for accessing and manipulating the sysfs fileystem.



%prep
%target_check
%setup 


%build
%target_setup
./configure --host=%{_hhl_target_config} --prefix=%{_hhl_target_lib_dir} \
	    --libdir=%{_hhl_target_lib_dir} | tee build.log
%make | tee -a build.log


%install
rm -rf %{buildroot}
%target_setup
ln -s . objdir
%target_makeinstall | tee -a build.log
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/sysfs/
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/*.h \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/sysfs/
gzip %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/*.la

%if "%{_hhl_pkg_suffix}" != ""
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
%endif

%clean
rm -rf %{buildroot}

%files libs%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libsysfs.so.1
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libsysfs.so.1.0.1

%files dev%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libsysfs.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libsysfs.so

%if "%{_hhl_pkg_suffix}" == ""
%dir %{_hhl_cross_target_dir}%{_hhl_target_include_dir}/sysfs
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/sysfs/dlist.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/sysfs/libsysfs.h


%files 
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/dlist_test
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/get_bus_devices_list
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/get_class_dev
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/get_classdev_parent
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/get_device
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/get_driver
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/systool
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/testlibsysfs
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/write_attr
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/systool.1.gz

%endif
